* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: #E0FFFF;
}

.container {
  display: flex;
  margin-top: 100px;
  justify-content: center;
  align-items: center;
  height: 500px;
}

.calculator-body {
  border: 3px solid black;
  margin: 50px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
  background: #28283e;
  height: 100%;
  width: 300px;
  padding: 50px;
  border-radius: 10px;
  -webkit-box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.75);
  -moz-box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.75);
  box-shadow: 10px 10px 5px 0px rgba(0, 0, 0, 0.75);
}

.calculator-display {
  display: flex;
  background: silver;
  padding: 0.625rem;
  height: 4.375rem;
  border-radius: 0.3rem;
  justify-content: flex-end;
  align-items: center;
  margin-top: -0.75rem;
  width: 250px;
  text-align: right;
  font-size: 2rem;
  overflow: hidden;
}

.buttons-container {
  display: flex;
  flex-wrap: wrap;
  margin-top: 1rem;
}

button {
  flex: 0 1 25%;
  padding: 10px;
  font-weight: bold;
  font-size: 1rem;
  background: #343130;
  color: #f8f8ff;
  border-radius: 7px;
  cursor: pointer;
  outline: none;
}

.operation {
  background: orange;
}

.zero {
  flex-grow: 2;
  flex-basis: 30%;
}

.equals {
  flex-grow: 4;
  background: orange;
}

.clear-screen {
  flex-grow: 2;
}

.memory-key {
  background-color: #77dd77;
}